Subject: Re: bug#15629: TTY Menu, redundant check marks in the menu bar

From: Eli Zaretskii <[email-masked]>
Date: Wed, 16 Oct 2013 18:11:28 +0300

> Date: Wed, 16 Oct 2013 18:35:43 +0800
> From: Darren Hoo <[email-masked]>
> 
> The feature TTY Menu is great though I myself have yet made it work here.
                                ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Not sure what this means: do you have problems with that?  If so,
please tell the details.

> I noticed that there are two check marks √/x for each selected(enabled)
> item in the menu bar of windowing system.  A screenshot is attached,
> Isn't  “x” here in windowing system redundant?

It's a bug.  But you didn't report any details about your build
collected by "M-x report-emacs-bug", so I can only guess what was the
reason for that.  If I guessed correctly, trunk revision 114685 should
fix this for you.  If not, please report the missing details, and also
see what is going on in the function have_boxes defined in menu.c,
when the Options menu is dropped down.